
Redmine - Defect #2473

Login and mail should not be case sensitive

2009-01-08 21:24 - Teddy L

Status: Closed Start date: 2009-01-08

Priority: High Due date:  

Assignee: Eric Davis % Done: 100%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Resolution: Fixed Affected version:  

Description

Actually, uniqueness tests on login and mail fields are case sensitive, so you can have many accounts with same login and/or mail.

And the "=" statement isn't case sensitive for strings on all databases, the method find_by_login need a fix to be case insensitive

like find_by_mail.

For example, when i use Redmine with sqlite3, there are sides effects with "On the fly" ldap acounts creation and with SVN users

automatic assignement because of find_by_login matching "login" with "login" but not "login" with "Login" ...

Related issues:

Related to Redmine - Patch #4732: Make login case-insensitive also for Postgr... Closed 2010-02-03

Has duplicate Redmine - Feature #2330: Option for able to turn on case insens... Closed 2008-12-12

Associated revisions

Revision 2253 - 2009-01-10 12:29 - Jean-Philippe Lang

Makes email adress uniqueness case-insensitive (#2473).

Revision 3807 - 2010-06-20 23:40 - Eric Davis

Change User#login to be case-insensitive. #2473

This change also overrides User#find_by_login to give priority to exact

matches in the login.

Contributed by Greg Mefford

Revision 3813 - 2010-06-24 05:08 - Eric Davis

Force string comparison for login search to be case sensitive on MySQL. #2473

Contributed by Holger Just.

History

#1 - 2009-01-15 14:36 - Stanislav German-Evtushenko

Duplicate #2330

#2 - 2009-02-11 00:53 - Tony Arnold

Is this patch going to be included in the core redmine product? We're having problems with our LDAP logins at present - we treat usernames as being

case-insensitive, however redmine currently does not.

#3 - 2009-12-10 09:31 - Stanislav German-Evtushenko

Tony Arnold wrote:

Is this patch going to be included in the core redmine product? We're having problems with our LDAP logins at present - we treat usernames as

being case-insensitive, however redmine currently does not.

 It will be great if it's included in redmine. We have the same problem.

#4 - 2009-12-22 21:39 - Stanislav German-Evtushenko

Teddy L wrote:
Actually, uniqueness tests on login and mail fields are case sensitive, so you can have many accounts with same login and/or mail. And the "="

statement isn't case sensitive for strings on all databases, the method find_by_login need a fix to be case insensitive like find_by_mail.

For example, when i use Redmine with sqlite3, there are sides effects with "On the fly" ldap acounts creation and with SVN users automatic

assignement because of find_by_login matching "login" with "login" but not "login" with "Login" ...

 Thank you, Teddy! Your patch works with 0.8-stable!

#5 - 2010-04-29 13:25 - Stanislav German-Evtushenko

- File redmine-0.9-stable-r3695-login_case_insensitive.patch added

Patch has been updated.

#6 - 2010-04-29 23:06 - Marcel Waldvogel

Patch #4732 addresses the same problem, but there at least PostgreSQL and MySQL should use the index instead of a table scan.

Dear maintainers: Please do include one of those fixes!

#7 - 2010-04-30 09:46 - Eric Voisard

Just a comment: In the SMTP point of view, the local part of email addresses IS case-sensitive (RFC821, RFC822, RFC2821). 

username@domain.org is not the same mailbox as Username@domain.org. Don't you think considering email addresses as case insensitive could

have some undesired side effects?...

#8 - 2010-06-19 23:36 - Felix Schäfer

- Target version set to 1.0.0 (RC)

#9 - 2010-06-20 22:59 - Greg Mefford

Created patches on github:

For the validation: http://github.com/GregMefford/redmine/commit/8269a9f774e3e41c0ddd0b4c2913dcc000cdbb82

For the user login: http://github.com/GregMefford/redmine/commit/022c8addba1714bc47e90747e33533702fcb1ca6

#10 - 2010-06-20 23:38 - Eric Davis

- Status changed from New to Closed

- Assignee set to Eric Davis

- % Done changed from 0 to 100

- Resolution set to Fixed

I've committed a patch by Greg Mefford that makes the user login's case insensitive (r3807).

Files

user_rb.patch 1.56 KB 2009-01-08 Teddy L

redmine-0.9-stable-r3695-login_case_insensitive.patch 1.18 KB 2010-04-29 Stanislav German-Evtushenko

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://www.redmine.org/issues/4732
mailto:username@domain.org
mailto:Username@domain.org
http://github.com/GregMefford/redmine/commit/8269a9f774e3e41c0ddd0b4c2913dcc000cdbb82
http://github.com/GregMefford/redmine/commit/022c8addba1714bc47e90747e33533702fcb1ca6
https://www.redmine.org/projects/redmine/repository/svn/revisions/3807
http://www.tcpdf.org

